# You are encouraged to create more restricted role, tailored to your GitOps needs.
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: gitlab-agent-gitops-write-all
rules:
  - resources:
      - '*'
    apiGroups:
      - '*'
    verbs:
      - create
      - update
      - delete
      - patch
---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
  name: gitlab-agent-gitops-write-all
roleRef:
  name: gitlab-agent-gitops-write-all
  kind: ClusterRole
  apiGroup: rbac.authorization.k8s.io
subjects:
  - name: gitlab-agent
    kind: ServiceAccount
